MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030619Open CASCADE[OCCT] OCCT:DRAWpublic2019-03-28 18:232019-09-04 09:40
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030619: Draw Harness, ViewerTest - add continuous rendering option to vrepaint command
DescriptionIt is desired having a continuous rendering option for testing some algorithms like Path Tracing (relying on incremental viewer updates).
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
has duplicate 0025241closedbugmaster Draw Harness - implement contenous rendering mode in ViewerTest 
related to 0030939newkgv Draw Harness, ViewerTest - AIS_ViewCube animation does not work on Linux and macOS 

-  Notes
(0083296)
git (administrator)
2019-03-29 16:33

Branch CR30619 has been created by kgv.

SHA-1: 4c942bb23561e14f9f7275780127f0fcd19e647e


Detailed log of new commits:

Author: kgv
Date: Thu Mar 28 18:36:54 2019 +0300

    0030619: Draw Harness, ViewerTest - add continuous rendering option to vrepaint command
    
    Aspect_Window::InvalidateContent() - added new virtual method for invalidating window content using platform-specific API.
    
    TKDraw, tkLoop() on Window platform has been changed so that to prevent
    continuous input window events blocking terminal input
    (e.g. in case if processing events is not fast enough or
    if another continuously sends new events).
    
    TKViewerTest, on X11 platform has been fixed a message processing
    so that to avoid messages being not processed.
    Added aggregation of Exposer and ConfigureNotify events.
    Fixed aggregation MotionNotify events.
(0083298)
git (administrator)
2019-03-29 20:41

Branch CR30619 has been updated forcibly by kgv.

SHA-1: bcdb44c7e5d3bb518aad19ba93cbf8a4c203313e
(0083304)
git (administrator)
2019-03-29 23:53

Branch CR30619 has been updated forcibly by kgv.

SHA-1: 8a5591a7ff61e9f28a9c9952fd014e73f30b241d
(0083309)
git (administrator)
2019-03-30 14:26

Branch CR30619 has been updated forcibly by kgv.

SHA-1: e91dcf5db87eb45e57850257a94fe0bf65f0bd58
(0083310)
git (administrator)
2019-03-30 14:36

Branch CR30619 has been updated forcibly by kgv.

SHA-1: d5038497d24283e212ae5026caa3dad2d5ed6a6e
(0083311)
git (administrator)
2019-03-30 14:53

Branch CR30619 has been updated forcibly by kgv.

SHA-1: 75b8dd9f30ee860037e482a778b125fdc802a103
(0083312)
git (administrator)
2019-03-30 15:02

Branch CR30619 has been updated forcibly by kgv.

SHA-1: 4411512cbd2ebef0db5534fd05f5fe77cb496b6d
(0083315)
kgv (developer)
2019-03-30 15:55

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30619-CR30619-KGV/ [^]
(0083331)
osa (developer)
2019-04-01 16:34

Reviewed without remarks
(0083332)
apn (administrator)
2019-04-01 16:56

Combination -
OCCT branch : CR30619
master SHA - 4411512cbd2ebef0db5534fd05f5fe77cb496b6d
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : CR30619 SHA - 1c5a1fa457d018f21ff8b8d550bddbc08feb373e
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16574.060000000034 / 16549.040000000037 [+0.15%]
Products
Total CPU difference: 10473.190000000028 / 9115.580000000047 [+14.89%]
Windows-64-VC14:
OCCT
Total CPU difference: 17984.734375 / 17926.078125 [+0.33%]
Products
Total CPU difference: 11996.3125 / 10583.1875 [+13.35%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0083484)
git (administrator)
2019-04-08 12:17

Branch CR30619 has been deleted by inv.

SHA-1: 4411512cbd2ebef0db5534fd05f5fe77cb496b6d

- Related Changesets
occt: master 8693dfd0
Timestamp: 2019-03-28 15:36:54
Author: kgv
Committer: apn
Details ] Diff ]
0030619: Draw Harness, ViewerTest - add continuous rendering option to vrepaint command

Aspect_Window::InvalidateContent() - added new virtual method for invalidating window content using platform-specific API.

TKDraw, tkLoop() on Window platform has been changed so that to prevent
continuous input window events blocking terminal input
(e.g. in case if processing events is not fast enough or
if another continuously sends new events).

TKViewerTest, on X11 platform has been fixed a message processing
so that to avoid messages being not processed.
Added aggregation of Exposer and ConfigureNotify events.
Fixed aggregation MotionNotify events.
mod - src/Aspect/Aspect_Window.hxx Diff ] File ]
mod - src/Cocoa/Cocoa_Window.hxx Diff ] File ]
mod - src/Cocoa/Cocoa_Window.mm Diff ] File ]
mod - src/Draw/Draw_Window.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/WNT/WNT_Window.cxx Diff ] File ]
mod - src/WNT/WNT_Window.hxx Diff ] File ]
mod - src/Xw/Xw_Window.cxx Diff ] File ]
mod - src/Xw/Xw_Window.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-03-28 18:23 kgv New Issue
2019-03-28 18:23 kgv Assigned To => kgv
2019-03-28 18:24 kgv Summary Draw Harness, ViewerTest - add continuous rendering option => Draw Harness, ViewerTest - add continuous rendering option to vrepaint command
2019-03-29 16:33 git Note Added: 0083296
2019-03-29 16:39 kgv Relationship added has duplicate 0025241
2019-03-29 20:41 git Note Added: 0083298
2019-03-29 23:53 git Note Added: 0083304
2019-03-30 14:26 git Note Added: 0083309
2019-03-30 14:36 git Note Added: 0083310
2019-03-30 14:53 git Note Added: 0083311
2019-03-30 15:02 git Note Added: 0083312
2019-03-30 15:55 kgv Note Added: 0083315
2019-03-30 15:55 kgv Assigned To kgv => osa
2019-03-30 15:55 kgv Status new => resolved
2019-03-30 16:31 kgv Product Version 7.3.0 => 6.8.0
2019-04-01 16:34 osa Note Added: 0083331
2019-04-01 16:34 osa Assigned To osa => bugmaster
2019-04-01 16:34 osa Status resolved => reviewed
2019-04-01 16:56 apn Test case number => Not needed
2019-04-01 16:56 apn Note Added: 0083332
2019-04-01 16:56 apn Status reviewed => tested
2019-04-08 00:47 apn Changeset attached => occt master 8693dfd0
2019-04-08 00:47 apn Assigned To bugmaster => apn
2019-04-08 00:47 apn Status tested => verified
2019-04-08 00:47 apn Resolution open => fixed
2019-04-08 12:17 git Note Added: 0083484
2019-09-04 09:40 kgv Relationship added related to 0030939


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker